%define _disable_ld_no_undefined 1

Summary:	Shared MIME-Info Specification 
Name:		shared-mime-info
Version:	1.9
Release:	1
#gw main is GPL, test program is LGPL
License:	GPL+ and LGPLv2+
Group:		Graphical desktop/Other
Url:		http://www.freedesktop.org/wiki/Software/shared-mime-info
Source0:	http://freedesktop.org/~hadess/%{name}-%{version}.tar.xz
Source1:	defaults.list
# KDE 4 overrides.
Source2:	mimeapps.list
# (fc) 0.22-2mdv fix VHDL vs CRT magic detection (Mdv bug #31603)
Patch0:		shared-mime-info-0.80-vhdl.patch
# RTF shouldn't be subclass of text/plain to avoid opening it in kwrite etc
# instead of LibreOffice Writer
Patch1:		shared-mime-info-1.5-rtf.patch
# https://bugs.kde.org/show_bug.cgi?id=383383
# https://bugs.freedesktop.org/show_bug.cgi?id=101667
Patch2:		shared-mime-info-1.8-bin.patch
Patch3:		shared-mime-info-1.8-ini.patch
BuildRequires:	intltool
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(glib-2.0)

%description
This is the freedesktop.org shared MIME info database.

Many programs and desktops use the MIME system to represent the types of
files. Frequently, it is necessary to work out the correct MIME type for
a file. This is generally done by examining the file's name or contents,
and looking up the correct MIME type in a database.

For interoperability, it is useful for different programs to use the
same database so that different programs agree on the type of a file,
and new rules for determining the type apply to all programs.

This specification attempts to unify the type-guessing systems currently
in use by GNOME, KDE and ROX. Only the name-to-type and contents-to-type
mappings are covered by this spec; other MIME type information, such as
the default handler for a particular type, or the icon to use to display
it in a file manager, are not covered since these are a matter of style.

In addition, freedesktop.org provides a shared database in this format
to avoid inconsistencies between desktops. This database has been
created by converting the existing KDE and GNOME databases to the new
format and merging them together.

%files
%doc README shared-mime-info-spec.xml NEWS
%{_bindir}/update-mime-database
%dir %{_datadir}/mime/
%{_datadir}/applications/defaults.list
%{_datadir}/applications/mimeapps.list
%dir %{_datadir}/mime/application
%dir %{_datadir}/mime/image
%dir %{_datadir}/mime/message
%dir %{_datadir}/mime/multipart
%dir %{_datadir}/mime/text
%dir %{_datadir}/mime/audio
%dir %{_datadir}/mime/inode
%dir %{_datadir}/mime/model
%dir %{_datadir}/mime/packages
%dir %{_datadir}/mime/video
%ghost %{_datadir}/mime/XMLnamespaces
%ghost %{_datadir}/mime/aliases
%ghost %{_datadir}/mime/globs
%ghost %{_datadir}/mime/magic
%ghost %{_datadir}/mime/subclasses
%ghost %{_datadir}/mime/mime.cache
%{_datadir}/mime/packages/freedesktop.org.xml
%{_mandir}/man1/update-mime-database.1*

%post
%{_bindir}/update-mime-database %{_datadir}/mime > /dev/null

%triggerin -- %{_datadir}/mime/packages/*.xml
%{_bindir}/update-mime-database -n %{_datadir}/mime > /dev/null

%triggerpostun -- %{_datadir}/mime/packages/*.xml
%{_bindir}/update-mime-database -n %{_datadir}/mime > /dev/null

#----------------------------------------------------------------------------

%package devel
Summary:	development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{EVRD}
Conflicts:	%{name} < 1.3

%description devel
Development files for %{name}.

%files devel
%{_datadir}/pkgconfig/shared-mime-info.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure2_5x \
	--disable-update-mimedb

make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE1} %{SOURCE2} %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/mime/{application,image,message,multipart,text,audio,inode,model,packages,video}

touch %{buildroot}%{_datadir}/mime/{XMLnamespaces,aliases,globs,magic,subclasses,mime.cache}

## remove these bogus files
rm -rf %{buildroot}%{_datadir}/locale/*

%check
make check


%changelog

* Fri May 25 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.9-1
- (ad84384) New version 1.9

* Fri Sep 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.8-2
- (c19059b) Add *.ini extension

* Mon Sep 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.8-1
- (aad0818) New version 1.8
- (aad0818) Remove *.bin from application/octet-stream (see KDE bug 383383)

* Tue Jun 06 2017 Vladimir Potapov <vladimir.potapov@rosalab.ru> 1.7-6
- (b3bba1f) fix for GNOME, disable gnome-music

* Mon Jun 05 2017 Vladimir Potapov <vladimir.potapov@rosalab.ru> 1.7-5
- (bac7d9a) fixed for KDE

* Thu Jun 01 2017 Vladimir Potapov <vladimir.potapov@rosalab.ru> 1.7-4
- (1edb423) fix bugs, add defaults to mimeapps

* Wed May 31 2017 Vladimir Potapov <vladimir.potapov@rosalab.ru> 1.7-3
- (84f64e9) Chande defaults to ROSA DE specific

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.7-2
- (761265b) MassBuild#1230: Increase release tag

* Sat Nov 12 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.7-1
- (760dc28) New version 1.7

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.5-4
- (0a2e1df) MassBuild#1169: Increase release tag

* Tue Feb 16 2016 Tigro <ashejn@gmail.com> 1.5-3
- (ad95b96) added audio/x-vorbis+ogg
- (Tigro: 8095046) added more mimes for video
- (Tigro: 2de9c55) more audacious mimes
- (Tigro: 93f23a2) change totem to rosa-media-player and rhythmbox to audacious

* Tue Feb 16 2016 Tigro <ashejn@gmail.com> 1.5-2
- (0247760) rename some desktop files and added text/csv mime

* Tue Feb 16 2016 Tigro <ashejn@gmail.com> 1.5-1
- (5f924bf) Make LibreOffice Math the default for CSV files
- (Tigro: 9be913e) rename desktop files for nautilus, totem, gedit and file-roller
- (Andrey Bondrov: d0d0ef9) RTF shouldn't be subclass of text/plain (add patch)
- (Andrey Bondrov: 73ba4ce) New version 1.5
- (Andrey Bondrov: 73ba4ce) Drop merged patches

* Mon Feb 01 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.3-9
- (404e49b) Replace calc.desktop with libreoffice-calc.desktop, writer.desktop with libreoffice-writer.desktop

* Wed Mar 25 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.3-8
- (01e9777) Open Jar files with openjdk, prefer leafpad to gedit for plain text

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 1.3-7
- (ddd558c) MassBuild#656: Increase release tag

* Wed Oct 01 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.3-6
- (cb33cf7) Add patch to increase x-iso9660-image weight (to fix issue with Dolphin detecting ISOs as text/plain)

* Mon Sep 22 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.3-5
- (4ad4027) Backport '-n' option from upstream

* Sat Jul 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.3-4
- (214fc3d) Resolve file conflicts, spec cleanup

* Fri Jul 11 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.3-2
- (bd46bcb) Use non-parallel make
- (Denis Silakov: de79cd4) Updated to 1.3 (sync with cooker)

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.90-13
- (3cf1b09) MassBuild#440: Increase release tag

* Mon Feb 04 2013 Tigro <ashejn@gmail.com> 0.90-12
- (7c5639d) pack mimeapps.list
- (Tigro: 83ad722) install mimeapps.list again


